## nginx 1.9.3

=== debian/changelog ===
nginx (1.9.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 14 Jul 2015 20:47:48 +0300

nginx (1.9.3-1) unstable; urgency=medium

  [ Christos Trochalakis]
  * New upstream Release. (Closes: #789924)
  * debian/control:
    + Remove XS-Testsuite header, it is now automatically added when
      `debian/tests/control` is present.
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.16 and drop our backported patches.
  * debian/conf/*:
    + Add REQUEST_SCHEME to fcgi, wsgi and scgi configs (sync with upstream).

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 14 Jul 2015 20:24:52 +0300

nginx (1.9.2-1) unstable; urgency=medium

  [ Michael Lustfield ]
  * debian/nginx-common.nginx.init:
    + Init script now returns the proper exit status. (Closes: #788573)
    + Cleaned up the init script to have consistent naming/structure.

  [ Christos Trochalakis ]
  * New upstream Release.
  * debian/rules:
    + Add stream module to nginx-full & nginx-extras.
    + Add thread pool support to nginx-full & nginx-extras.
  * debian/modules/nginx-lua:
    + Backport upstream's 9531e5e7 fixing build failure when thread pool
      support is enabled.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Mon, 22 Jun 2015 10:16:19 +0300
