=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
 Homepage: http://nginx.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/nginx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nginx.git;a=summary
-XS-Testsuite: autopkgtest
 
 Package: nginx
 Architecture: all
@@ -100,7 +99,8 @@
  .
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, GeoIP, Gunzip,
  Gzip, Gzip Precompression, Headers, Image Filter, Index, Log, Real IP, Spdy,
- SSI, SSL, Stub Status, Substitution, Upstream, User ID, XSLT.
+ SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream, User ID,
+ XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
  .
@@ -186,8 +186,8 @@
  .
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, FLV, GeoIP,
  Gunzip, Gzip, Gzip Precompression, Headers, Image Filter, Index, Log, MP4,
- Embedded Perl, Random Index, Real IP, Secure Link, Spdy, SSI, SSL, Stub
- Status, Substitution, Upstream, User ID, XSLT.
+ Embedded Perl, Random Index, Real IP, Secure Link, Spdy, SSI, SSL, Stream,
+ Stub Status, Substitution, Thread Pool, Upstream, User ID, XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
  .
