=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,11 @@
 			--with-http_spdy_module \
 			--with-http_sub_module \
 			--with-http_xslt_module \
+			--with-stream \
+			--with-stream_ssl_module \
 			--with-mail \
 			--with-mail_ssl_module \
+			--with-threads \
 			--add-module=$(MODULESDIR)/nginx-auth-pam \
 			--add-module=$(MODULESDIR)/nginx-dav-ext-module \
 			--add-module=$(MODULESDIR)/nginx-echo \
@@ -102,6 +105,9 @@
 			--with-http_xslt_module \
 			--with-mail \
 			--with-mail_ssl_module \
+			--with-stream \
+			--with-stream_ssl_module \
+			--with-threads \
 			--add-module=$(MODULESDIR)/headers-more-nginx-module \
 			--add-module=$(MODULESDIR)/nginx-auth-pam \
 			--add-module=$(MODULESDIR)/nginx-cache-purge \
