## nginx 1.9.4

=== debian/changelog ===
nginx (1.9.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 25 Aug 2015 14:43:29 +0300

nginx (1.9.4-1) unstable; urgency=medium

  [ Christos Trochalakis]
  * New upstream release.
  * debian/copyright:
    + Fix licence order.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Mon, 24 Aug 2015 16:23:20 +0300
