## nginx 1.9.10

=== debian/changelog ===
nginx (1.9.10-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Wed, 10 Feb 2016 13:15:31 +0200

nginx (1.9.10-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release (1.9.10) (Closes: #812806)
  * debian/control:
    + Drop python dependency from nginx-common. (Closes: #808699)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 26 Jan 2016 20:12:06 +0200

nginx (1.9.9-1) unstable; urgency=medium

  [ Michael Lustfield ]
  * debian/nginx-common.nginx.logrotate:
    + Switching logrotate to 14 days. (Closes: #805322)

  [ Christos Trochalakis ]
  * New upstream release (1.9.9).
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.10.0.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 14 Jan 2016 10:40:35 +0200

nginx (1.9.6-2) unstable; urgency=medium

  [ Christos Trochalakis]
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.19 fixing HTTP/2 compatibility.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Fri, 13 Nov 2015 16:08:01 +0200

nginx (1.9.6-1) unstable; urgency=medium

  [ Christos Trochalakis]
  * New upstream release.
  * Enable http2 module in nginx-full & nginx-extras

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 03 Nov 2015 08:59:21 +0200
