=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 Package: nginx-common
 Architecture: all
-Depends: lsb-base (>= 3.2-14), ${misc:Depends}, python
+Depends: lsb-base (>= 3.2-14), ${misc:Depends}
 Replaces: nginx (<< 0.8.54-4),
           nginx-extras (<< 0.8.54-4),
           nginx-full (<< 0.8.54-4),
@@ -98,7 +98,7 @@
  Referer, Rewrite, SCGI, Split Clients, UWSGI.
  .
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, GeoIP, Gunzip,
- Gzip, Gzip Precompression, Headers, Image Filter, Index, Log, Real IP, Spdy,
+ Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log, Real IP,
  SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream, User ID,
  XSLT.
  .
@@ -185,8 +185,8 @@
  Referer, Rewrite, SCGI, Split Clients, UWSGI.
  .
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, FLV, GeoIP,
- Gunzip, Gzip, Gzip Precompression, Headers, Image Filter, Index, Log, MP4,
- Embedded Perl, Random Index, Real IP, Secure Link, Spdy, SSI, SSL, Stream,
+ Gunzip, Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log,
+ MP4, Embedded Perl, Random Index, Real IP, Secure Link, SSI, SSL, Stream,
  Stub Status, Substitution, Thread Pool, Upstream, User ID, XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
