## nginx 1.9.15

=== debian/changelog ===
nginx (1.9.15-0ubuntu1) xenial-proposed; urgency=medium

  * New upstream release (1.9.15) - full changelog available at upstream 
    website - http://nginx.org/en/CHANGES (LP: #1572223)
  * All Ubuntu specific changes from 1.1.14-0ubuntu1, except noted below,
    remain included in this upload.
  * Remaining changes:
    * debian/control: Re-add libluajit-5.1-dev build-dependency, as it will
      only affect nginx-extras which is in Universe. This reduces the merge
      delta between Ubuntu and Debian slightly, as well. (LP: #1571444)
    * debian/patches/ubuntu-branding.patch: Refresh Ubuntu Branding patch.

 -- Thomas Ward <teward@ubuntu.com>  Mon, 18 Apr 2016 15:39:08 -0400

nginx (1.9.14-0ubuntu1) xenial-proposed; urgency=medium

  * New upstream release (1.9.14) - full changelog available at upstream
    website - htp://nginx.org/en/CHANGES (LP: #1566392)
  * All Ubuntu specific changes from 1.9.13-0ubuntu1, except noted below,
    remain included in this upload.
  * Remaining changes:
    * Enable HTTP/2 module for nginx-full, nginx-extras, and nginx-core
      (LP: #1565043)
      - debian/rules: Enable HTTP/2 module building in flavor rules
      - debian/control: Add HTTP/2 module to package descriptions.
    * debian/patches/ubuntu-branding.patch: Refresh Ubuntu Branding patch.

 -- Thomas Ward <teward@ubuntu.com>  Fri, 01 Apr 2016 14:23:47 -0400

nginx (1.9.13-0ubuntu1) xenial-proposed; urgency=medium

  * New upstream release (1.9.13) - full changelog available at upstream
    website - http://nginx.org/en/CHANGES (LP: #1563393)
  * All Ubuntu specific changes from 1.9.12-0ubuntu1 remain included in
    this upload.
  * debian/patches/ubuntu-branding.patch: Refresh Ubuntu Branding patch.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 29 Mar 2016 18:47:36 -0400

nginx (1.9.12-0ubuntu1) xenial; urgency=medium

  * New upstream release (1.9.12) - full changelog available at upstream
    website - http://nginx.org/en/CHANGES  (LP: #1549347)
  * All Ubuntu specific changes from 1.9.11-0ubuntu1 and -0ubuntu2 remain
    included in this upload.

 -- Thomas Ward <teward@ubuntu.com>  Wed, 24 Feb 2016 10:26:31 -0500

nginx (1.9.11-0ubuntu2) xenial; urgency=medium

  * This is a bug-fix only upload and does not include any new changes to
    features.
  * debian/conf/sites-available/default: Modify PHP 'default example' settings
    to account for php5 being replaced with php7.0 in Xenial. Also adapt the
    UNIX socket path for php7.0-fpm to be the one used by default in Xenial.
    (LP: #1547642)

 -- Thomas Ward <teward@ubuntu.com>  Fri, 19 Feb 2016 14:13:28 -0500

nginx (1.9.11-0ubuntu1) xenial; urgency=low

  * New upstream release (1.9.11) - see http://nginx.org/en/CHANGES for
    full changelog.
  * Ubuntu-specific changes from the 1.9.10 merge remain included here.
  * Additional changes:
    - debian/modules/nginx-lua: Apply upstream patch to fix FTBFS issue

 -- Thomas Ward <teward@ubuntu.com>  Tue, 09 Feb 2016 10:33:14 -0500

nginx (1.9.10-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:  (LP: #1538677)
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/control:
      - drop luajit from Build-Depends as it is in universe.
      - Remove HTTP/2 references in package descriptions, per Ubuntu
        Security Team mandate to disable HTTP/2 support.
    - debian/rules:
      - Disable HTTP/2 module support in all flavors, per Ubuntu Security
        Team mandate.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
  * Additional bugs fixed by this merge:
    - nginx-common should not depend on python (LP: #1480513)

 -- Thomas Ward <teward@ubuntu.com>  Tue, 27 Jan 2016 12:52:00 -0500

nginx (1.9.10-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * debian/patches/ubuntu-branding.patch: Refreshed Ubuntu Branding patch
  * Security content of this upload addresses the following vulnerabilities
    and CVE-numbered Security issues: (LP: #1538165)
    - Invalid pointer dereference might occur during DNS server response
      processing, allowing an attacker who is able to forge UDP
      packets from the DNS server to cause worker process crash
      (CVE-2016-0742).
    - Use-after-free condition might occur during CNAME response
      processing. This problem allows an attacker who is able to trigger
      name resolution to cause worker process crash, or might
      have potential other impact (CVE-2016-0746).
    - CNAME resolution was insufficiently limited, allowing an attacker who
      is able to trigger arbitrary name resolution to cause excessive resource
      consumption in worker processes (CVE-2016-0747).

 -- Thomas Ward <teward@ubuntu.com>  Tue, 26 Jan 2016 14:53:01 -0500

nginx (1.9.9-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. Remaining changes: (LP: #1534208)
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/control:
      - drop luajit from Build-Depends as it is in universe.
      - Update nginx-core description to match nginx-full description of the
        standard and optional HTTP modules that are enabled.
      - Remove HTTP/2 references in package descriptions, per Ubuntu
        Security Team mandate to disable HTTP/2 support.
    - debian/rules:
      - Update nginx-core configure flags to match nginx-full config flags,

