=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://nginx.org/download/nginx-(\d\.\d+\.\d+)\.tar\.gz
