=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 debian_cflags:=$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 debian_ldflags:=$(shell dpkg-buildflags --get LDFLAGS)
 
@@ -11,6 +11,7 @@
 export DEBIAN_NGINX_PERL_LDFLAGS
 
 FLAVOURS := full light extras
+DYN_MODS := http-geoip http-image-filter http-xslt-filter mail stream http-auth-pam http-lua http-perl http-ndk
 
 MODULESDIR = $(CURDIR)/debian/modules
 BASEDIR = $(CURDIR)
@@ -36,6 +37,7 @@
 			--error-log-path=/var/log/nginx/error.log \
 			--lock-path=/var/lock/nginx.lock \
 			--pid-path=/run/nginx.pid \
+			--modules-path=/usr/lib/nginx/modules \
 			--http-client-body-temp-path=/var/lib/nginx/body \
 			--http-fastcgi-temp-path=/var/lib/nginx/fastcgi \
 			--http-proxy-temp-path=/var/lib/nginx/proxy \
@@ -47,7 +49,11 @@
 			--with-http_ssl_module \
 			--with-http_stub_status_module \
 			--with-http_realip_module \
-			--with-http_auth_request_module
+			--with-http_auth_request_module \
+			--with-http_v2_module \
+			--with-http_dav_module \
+			--with-file-aio \
+			--with-threads
 
 light_configure_flags := \
 			$(common_configure_flags) \
@@ -60,75 +66,86 @@
 			--without-http_referer_module \
 			--without-http_scgi_module \
 			--without-http_split_clients_module \
-			--without-http_ssi_module \
 			--without-http_userid_module \
 			--without-http_uwsgi_module \
-			--add-module=$(MODULESDIR)/nginx-echo
+			--add-module=$(MODULESDIR)/nginx-echo \
+			--add-module=$(MODULESDIR)/nginx-x-rid-header \
+				--with-ld-opt=-lossp-uuid
 
 full_configure_flags := \
 			$(common_configure_flags) \
 			--with-http_addition_module \
-			--with-http_dav_module \
-			--with-http_geoip_module \
+			--with-http_geoip_module=dynamic \
 			--with-http_gunzip_module \
 			--with-http_gzip_static_module \
-			--with-http_image_filter_module \
-			--with-http_v2_module \
+			--with-http_image_filter_module=dynamic \
+			--with-http_secure_link_module \
 			--with-http_sub_module \
-			--with-http_xslt_module \
-			--with-stream \
+			--with-http_xslt_module=dynamic \
+			--with-stream=dynamic \
 			--with-stream_ssl_module \
-			--with-mail \
+			--with-mail=dynamic \
 			--with-mail_ssl_module \
-			--with-threads \
-			--add-module=$(MODULESDIR)/nginx-auth-pam \
+			--add-dynamic-module=$(MODULESDIR)/nginx-auth-pam \
 			--add-module=$(MODULESDIR)/nginx-dav-ext-module \
 			--add-module=$(MODULESDIR)/nginx-echo \
 			--add-module=$(MODULESDIR)/nginx-upstream-fair \
-			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module
+			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module \
+			--add-module=$(MODULESDIR)/nginx-cache-purge \
+			--add-module=$(MODULESDIR)/ngx_http_pinba_module \
+			--add-module=$(MODULESDIR)/nginx-x-rid-header \
+				--with-ld-opt=-lossp-uuid
 
 extras_configure_flags := \
+			--add-module=$(MODULESDIR)/naxsi/naxsi_src \
 			$(common_configure_flags) \
 			--with-http_addition_module \
-			--with-http_dav_module \
 			--with-http_flv_module \
-			--with-http_geoip_module \
+			--with-http_geoip_module=dynamic \
 			--with-http_gunzip_module \
 			--with-http_gzip_static_module \
-			--with-http_image_filter_module \
+			--with-http_image_filter_module=dynamic \
 			--with-http_mp4_module \
-			--with-http_perl_module \
+			--with-http_perl_module=dynamic \
 			--with-http_random_index_module \
 			--with-http_secure_link_module \
-			--with-http_v2_module \
 			--with-http_sub_module \
-			--with-http_xslt_module \
-			--with-mail \
+			--with-http_xslt_module=dynamic \
+			--with-mail=dynamic \
 			--with-mail_ssl_module \
-			--with-stream \
+			--with-stream=dynamic \
 			--with-stream_ssl_module \
-			--with-threads \
 			--add-module=$(MODULESDIR)/headers-more-nginx-module \
-			--add-module=$(MODULESDIR)/nginx-auth-pam \
+			--add-dynamic-module=$(MODULESDIR)/nginx-auth-pam \
 			--add-module=$(MODULESDIR)/nginx-cache-purge \
 			--add-module=$(MODULESDIR)/nginx-dav-ext-module \
-			--add-module=$(MODULESDIR)/nginx-development-kit \
+			--add-dynamic-module=$(MODULESDIR)/nginx-development-kit \
 			--add-module=$(MODULESDIR)/nginx-echo \
 			--add-module=$(MODULESDIR)/ngx-fancyindex \
-			--add-module=$(MODULESDIR)/nginx-http-push \
-			--add-module=$(MODULESDIR)/nginx-lua \
+			--add-module=$(MODULESDIR)/nginx-push-stream-module \
+			--add-dynamic-module=$(MODULESDIR)/nginx-lua \
 			--add-module=$(MODULESDIR)/nginx-upload-progress \
 			--add-module=$(MODULESDIR)/nginx-upstream-fair \
-			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module
+			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module \
+			--add-module=$(MODULESDIR)/nginx-auth-ldap \
+			--add-module=$(MODULESDIR)/ngx_http_pinba_module \
+			--add-module=$(MODULESDIR)/ngx_pagespeed \
+			--add-module=$(MODULESDIR)/nginx-x-rid-header \
+			--add-module=$(MODULESDIR)/nginx-rtmp-module \
+				--with-ld-opt=-lossp-uuid
 
 %:
 	dh $@ --with systemd
 
 override_dh_auto_configure: $(foreach flavour,$(FLAVOURS),config.arch.$(flavour))
 override_dh_auto_build:     $(foreach flavour,$(FLAVOURS),build.arch.$(flavour))
-override_dh_strip:          $(foreach flavour,$(FLAVOURS),strip.arch.$(flavour))
+override_dh_strip:          $(foreach flavour,$(FLAVOURS),strip.arch.$(flavour)) $(foreach mod,$(DYN_MODS),strip.mods.$(mod))
 override_dh_clean:          $(foreach flavour,$(FLAVOURS),clean.$(flavour))
 	dh_clean
+
+override_dh_install:
+	dh_install
+	DH_AUTOSCRIPTDIR=$(CURDIR)/debian/autoscripts debian/dh_nginx
 
 override_dh_installinit:
 	dh_installinit --no-restart-on-upgrade --no-start --name=nginx
@@ -145,7 +162,16 @@
 strip.arch.%:
 	dh_strip --package=nginx-$(*) --dbg-package=nginx-$(*)-dbg
 
+strip.mods.%:
+	dh_strip --package=libnginx-mod-$(*) -O--automatic-dbgsym
+
 config.arch.%:
+	if [ $* = extras ]; then \
+		cd $(MODULESDIR)/ngx_pagespeed && \
+		curl https://dl.google.com/dl/page-speed/psol/1.11.33.2.tar.gz | tar xz && \
+		perl -pi -e 'print "#ifdef LOG_INFO\n#undef LOG_INFO\n#endif\n\n#ifdef LOG_WARNING\n#undef LOG_WARNING\n#endif\n\n" if $$. == 1' \
+		psol/include/third_party/chromium/src/base/logging.h; \
+	fi
 	dh_testdir
 	mkdir -p $(BUILDDIR_$*)
 	cp -Pa $(CURDIR)/auto $(BUILDDIR_$*)/
